#ifndef ALLPOLICIESVALIDATOR_H
#define ALLPOLICIESVALIDATOR_H

#include "validator.h"

class AllPoliciesValidator : public Validator
{
public:
    explicit AllPoliciesValidator(const std::list<std::shared_ptr<Policy>>& policies);
    virtual ~AllPoliciesValidator() override;

    virtual ValidateResult validate(const std::shared_ptr<Actor>& actor) const override;
};

#endif // ALLPOLICIESVALIDATOR_H
