#ifndef CHANGEINTERACTIONMESSAGEMODIFICATOR_H
#define CHANGEINTERACTIONMESSAGEMODIFICATOR_H

#include <memory>
#include <string>

#include "modificator.h"

class Location;

class ChangeInteractionMessageModificator : public Modificator
{
public:
    explicit ChangeInteractionMessageModificator();
    virtual ~ChangeInteractionMessageModificator() override;

    virtual void run() const override;

    void setDependentObjects(const std::shared_ptr<Location>& location,
                             const std::string& new_message);

private:
    std::shared_ptr<Location> _location;
    std::string _new_message;
};

#endif // CHANGEINTERACTIONMESSAGEMODIFICATOR_H
