#include "removecontrollersmodificator.h"
#include "location.h"

RemoveControllersModificator::RemoveControllersModificator()
{}

RemoveControllersModificator::~RemoveControllersModificator()
{}

void RemoveControllersModificator::run() const
{
    _location->removeControllers(_controllers_to_remove);
}

void RemoveControllersModificator::setDependentObjects(const std::shared_ptr<Location>& location,
                                                       const std::list<std::shared_ptr<Controller>>& controllers)
{
    _location = location;
    _controllers_to_remove = controllers;
}
